# Подключение внешних проектов
include(ExternalProject)

set(MYX_QPING_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(MYX_QPING_INCLUDE_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(MYX_QPING_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(MYX_QPING_LIBRARY_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}
    CACHE PATH "" FORCE)
set(MYX_QPING_LIBRARIES
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/libmyx-qping.a
    CACHE FILEPATH "" FORCE)

# cmake-format: off
list(APPEND _ext_project_args
  myx-qping
  SOURCE_DIR       ${CMAKE_SOURCE_DIR}/thirdparty/myx-qping
  INSTALL_DIR      ${CMAKE_BINARY_DIR}
  CMAKE_ARGS       ${MYX_CMAKE_EXTERNAL_PROJECT_ARGS}
                   <SOURCE_DIR>)
if(MyxQPingThirdparty_FIND_COMPONENTS STREQUAL "headers")
  list(APPEND _ext_project_args
    BUILD_COMMAND    true
    INSTALL_COMMAND  ${CMAKE_MAKE_PROGRAM} myx-qping-install-headers)
else()
  list(APPEND _ext_project_args
    BUILD_BYPRODUCTS ${MYX_QPING_LIBRARIES})
endif()
ExternalProject_Add(${_ext_project_args})
unset(_ext_project_args)

set(MYX_QPING_IS_EXTERNAL_PROJECT ON CACHE BOOL "" FORCE)
# cmake-format: on
