cmake_minimum_required(VERSION 3.3 FATAL_ERROR)

include(GNUInstallDirs)
include(MyxCMakeCheckPaths)

link_directories(${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
set(CMAKE_CXX_SOURCE_FILE_EXTENSIONS
    ${CMAKE_CXX_SOURCE_FILE_EXTENSIONS};tpp;tcc)
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

include(MyxCMakeProjectVersion)
include(MyxCMakeRequiredVariables)
include(MyxCMakeGlobalFunctions)
include(MyxCMakeGlobalVariables)
include(MyxCMakeDates)
include(MyxCMakeLSBInfo)
include(MyxCMakeCompiler)
include(MyxCMakeCompilerFlags)
include(MyxCMakeDistCC)
include(MyxCMakeUnityBuild)
include(MyxCMakePrecompiledHeaders)
include(MyxCMakeBuildTypes)
include(MyxCMakeDebugOutputOptions)

include(MyxCMakeCodeAnalyzeClangCheck)
include(MyxCMakeCodeAnalyzeClangTidy)
include(MyxCMakeCodeAnalyzeClazy)
include(MyxCMakeCodeAnalyzePvsStudio)
include(MyxCMakeCodeCoverage)
include(MyxCMakeFormatSources)
include(MyxCMakeCommonTargetProperties)
include(MyxCMakeAddSharedLibrary)
include(MyxCMakeAddStaticLibrary)
include(MyxCMakePkgConfig)
include(MyxCMakeNinjaGeneratorHelper)
include(MyxCMakeDocDoxygen)
include(MyxCMakeDocBreathe)
include(MyxCMakeExternalProject)
include(MyxCMakeCPack)
include(MyxCMakeUninstall)

# Additional functions
include(MyxCMakeGenerateGitInfoHeader)
include(MyxCMakeGeneratePrivateConfigHeader)
include(MyxCMakeHighPrecisionMath)
include(MyxCMakeLargeFiles)
include(MyxCMakeQtTranslation)
include(MyxCMakeRemoveFlag)
include(MyxCMakeWriteCompilerDetectionHeader)

